"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleRequest = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@remix-run/react");
const isbot_1 = __importDefault(require("isbot"));
const server_1 = require("react-dom/server");
async function handleRequest(request, responseStatusCode, responseHeaders, remixContext, loadContext) {
    const body = await (0, server_1.renderToReadableStream)((0, jsx_runtime_1.jsx)(react_1.RemixServer, { context: remixContext, url: request.url }), {
        signal: request.signal,
        onError(error) {
            // Log streaming rendering errors from inside the shell
            console.error(error);
            responseStatusCode = 500;
        },
    });
    if ((0, isbot_1.default)(request.headers.get('user-agent'))) {
        await body.allReady;
    }
    responseHeaders.set('Content-Type', 'text/html');
    return new Response(body, {
        headers: responseHeaders,
        status: responseStatusCode,
    });
}
exports.handleRequest = handleRequest;
